Bug 795148

Summary: [abrt] kernel: [294047.672471] kernel BUG at mm/mmap.c:2378!
Product: [Fedora] Fedora Reporter: Jerry Lumpkins <jerry.lumpkins>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:393da8bec290749e8b8f6fbf1b4d47e7fe365557
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-20 09:32:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jerry Lumpkins 2012-02-19 13:16:23 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.5-3.fc16.x86_64 root=/dev/mapper/vg_jdlinux16-lv_root ro rd.md=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.lvm.lv=vg_jdlinux16/LogVol01 LANG=en_US.UTF-8 rd.lvm.lv=vg_jdlinux16/lv_root rd.luks=0
comment:        My son (8 years old) was playing a game in firefox (latest version).
kernel:         3.2.5-3.fc16.x86_64
reason:         [294047.672471] kernel BUG at mm/mmap.c:2378!
time:           Sun 19 Feb 2012 10:41:36 AM EST

backtrace:
:[294047.672471] kernel BUG at mm/mmap.c:2378!
:[294047.672927] invalid opcode: 0000 [#1] SMP 
:[294047.673005] CPU 3 
:[294047.673005] Modules linked in: fuse tcp_lp ppdev parport_pc lp parport lockd fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_filter xt_state ip6_tables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 gspca_sn9c20x gspca_main videodev media v4l2_compat_ioctl32 joydev binfmt_misc microcode snd_hda_codec_realtek serio_raw i2c_i801 snd_hda_intel snd_hda_codec snd_hwdep snd_seq iTCO_wdt iTCO_vendor_support snd_seq_device atl1 snd_pcm mii snd_timer snd soundcore snd_page_alloc asus_atk0110 uinput sunrpc firewire_ohci firewire_core pata_acpi ata_generic crc_itu_t pata_jmicron usb_storage nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core mxm_wmi wm
:i video [last unloaded: scsi_wait_scan]
:[294047.673005] 
:[294047.673005] Pid: 6612, comm: yumBackend.py Not tainted 3.2.5-3.fc16.x86_64 #1 System manufacturer P5K/P5K
:[294047.673005] RIP: 0010:[<ffffffff811465ea>]  [<ffffffff811465ea>] exit_mmap+0x13a/0x140
:[294047.673005] RSP: 0018:ffff88017cf7fda8  EFLAGS: 00010202
:[294047.673005] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000008
:[294047.673005] RDX: ffffea00052ec860 RSI: ffff88022fd96be8 RDI: 0000000000000297
:[294047.673005] RBP: ffff88017cf7fe38 R08: ffffea00052ec860 R09: ffff88022fbeae98
:[294047.673005] R10: 000000000000004e R11: 0000000000016bd8 R12: ffff8801b980d180
:[294047.673005] R13: 00007fffe4200000 R14: ffff8801b980d1e8 R15: 0000000000008790
:[294047.673005] FS:  00007fd2fde2f700(0000) GS:ffff88022fd80000(0000) knlGS:0000000000000000
:[294047.673005] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:[294047.673005] CR2: 000000316c81f6f0 CR3: 0000000001a05000 CR4: 00000000000406e0
:[294047.673005] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:[294047.673005] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:[294047.673005] Process yumBackend.py (pid: 6612, threadinfo ffff88017cf7e000, task ffff880203be5c80)
:[294047.673005] Stack:
:[294047.673005]  ffff8801b980d180 00000001fcfd2330 ffff88017cf7fdc0 0000000000000000
:[294047.673005]  0000000800000000 ffffea000436abc0 ffffea00070f0d00 ffffea00041ec440
:[294047.673005]  ffffea000416b340 ffffea00043a4a00 ffffea00043a4a40 ffffea00042797c0
:[294047.673005] Call Trace:
:[294047.673005]  [<ffffffff8106b183>] mmput+0x73/0x110
:[294047.673005]  [<ffffffff81071cbd>] exit_mm+0x10d/0x130
:[294047.673005]  [<ffffffff81071e5e>] do_exit+0x17e/0x8a0
:[294047.673005]  [<ffffffff810806d7>] ? __set_task_blocked+0x37/0x80
:[294047.673005]  [<ffffffff81183912>] ? path_put+0x22/0x30
:[294047.673005]  [<ffffffff810728d2>] do_group_exit+0x42/0xa0
:[294047.673005]  [<ffffffff81072947>] sys_exit_group+0x17/0x20
:[294047.673005]  [<ffffffff815e9782>] system_call_fastpath+0x16/0x1b
:[294047.673005] Code: 89 df e8 ca c5 ff ff 48 8b 5b 18 48 85 db 0f 84 25 ff ff ff f6 43 31 20 74 ed eb db 0f 1f 44 00 00 e8 2b 7d 01 00 e9 f1 fe ff ff <0f> 0b 0f 1f 40 00 55 48 89 e5 41 54 53 48 83 ec 20 66 66 66 66 
:[294047.673005] RIP  [<ffffffff811465ea>] exit_mmap+0x13a/0x140
:[294047.673005]  RSP <ffff88017cf7fda8>
:[294047.715703] ---[ end trace a16574c5fdfb5571 ]---
:[294047.715708] Fixing recursive fault but reboot is needed!

smolt_data:
:
:
:General
:=================================
:UUID: 6c20c42b-fce8-44ad-a86e-efbc4acd12a2
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5343.54
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad CPU    Q8400  @ 2.66GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 4
:CPU Speed: 2664
:System Memory: 7987
:System Swap: 2047
:Vendor: System manufacturer
:System: P5K System Version
:Form factor: Desktop
:Kernel: 3.2.6-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10688:4163:33398) pci, None, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10689:4163:33398) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:(4147:404:0:0) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:10544:4163:33399) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10529:4163:33399) pci, ata_piix, STORAGE, 82801IB (ICH9) 2 port SATA IDE Controller
:(32902:10520:4163:33399) pci, None, PCI/ISA, 82801IB (ICH9) LPC Interface Controller
:(32902:10534:4163:33399) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(32902:9294:4163:33399) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10549:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4163:33399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4163:33399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(6523:9059:4163:33359) pci, pata_jmicron, STORAGE, JMB362/JMB363 Serial ATA Controller
:(6523:9059:4163:33359) pci, ahci, STORAGE, JMB362/JMB363 Serial ATA Controller
:(4358:12356:4163:33278) pci, firewire_ohci, FIREWIRE, M4A series motherboard
:(32902:10564:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10560:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10568:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4163:33439) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4163:33399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4318:1601:14402:51524) pci, nouveau, VIDEO, G96 [GeForce 9400 GT]
:(32902:10570:4163:33399) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(6505:4168:4163:33318) pci, atl1, ETHERNET, P5KPL-VM Motherboard
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_jdlinux16-lv_root / ext4 4096 4096 6660168 3202584 3135920 1671168 1305399 1305399
:/dev/mapper/vg_jdlinux-LogVolRoot WITHHELD ext4 4096 4096 51137456 49865878 47305878 12804096 12734288 12734288
:/dev/mapper/vg_jdlinux-LogVolHome /home ext4 4096 4096 190014916 131085122 121574722 47554560 47175312 47175312
:/dev/sdc2 /boot ext4 1024 1024 508745 410559 384959 128016 127737 127737
:
Comment 1 Josh Boyer 2012-02-20 09:32:52 EST

*** This bug has been marked as a duplicate of bug 786632 ***